Skip to content

Instantly share code, notes, and snippets.

@docgecko
docgecko / gist:1237161
Created Sep 23, 2011
Error trace: devise 1.4.7 with rails 3.1, ruby 1.9.2p290
View gist:1237161
/Users/Daren/.rvm/gems/ruby-1.9.2-p290/gems/bcrypt-ruby-3.0.1/lib/bcrypt_ext.bundle: [BUG] Segmentation fault
ruby 1.9.2p290 (2011-07-09 revision 32553) [x86_64-darwin10.8.0]
-- control frame ----------
c:0127 p:-549606970 s:0454 b:0454 l:000453 d:000453 TOP
c:0126 p:---- s:0452 b:0452 l:000451 d:000451 CFUNC :require
c:0125 p:0012 s:0448 b:0448 l:000432 d:000447 BLOCK /Users/Daren/.rvm/gems/ruby-1.9.2-p290/gems/activesupport-3.1.0/lib/active_support/dependencies.rb:240
c:0124 p:0005 s:0446 b:0446 l:000437 d:000445 BLOCK /Users/Daren/.rvm/gems/ruby-1.9.2-p290/gems/activesupport-3.1.0/lib/active_support/dependencies.rb:223
c:0123 p:0045 s:0444 b:0444 l:000443 d:000443 METHOD /Users/Daren/.rvm/gems/ruby-1.9.2-p290/gems/activesupport-3.1.0/lib/active_support/dependencies.rb:640
c:0122 p:0041 s:0438 b:0438 l:000437 d:000437 METHOD /Users/Daren/.rvm/gems/ruby-1.9.2-p290/gems/activesupport-3.1.0/lib/active_support/dependencies.rb:223
@docgecko
docgecko / sunspot_trace.rb
Created May 10, 2011
Stack Trace Sunspot 1.2.1 & Gem 1.8.1
View sunspot_trace.rb
NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.
Gem.source_index called from /Users/Daren/.rvm/gems/ruby-1.9.2-p180@jobs_mongo/gems/bundler-1.0.12/lib/bundler/source.rb:162.
NOTE: Gem::SourceIndex#each is deprecated with no replacement. It will be removed on or after 2011-11-01.
Gem::SourceIndex#each called from /Users/Daren/.rvm/gems/ruby-1.9.2-p180@jobs_mongo/gems/bundler-1.0.12/lib/bundler/source.rb:162.
/Users/Daren/.rvm/gems/ruby-1.9.2-p180@jobs_mongo/gems/bundler-1.0.12/lib/bundler/runtime.rb:136: warning: Insecure world writable dir /usr/local/bin in PATH, mode 040777
NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.
Gem.source_index called from /Users/Daren/.rvm/gems/ruby-1.9.2-p180@jobs_mongo/gems/bundler-1.0.12/lib/bundler/shared_helpers.rb:84.
/Users/Daren/.rvm/gems/ruby-1.9.2-p180@jobs_mongo/gems/rake-0.8.7/lib/rake.rb:32: warning: already initialized constant RAKEVERSION
/Users/Daren/.rvm/gems/ru